Status: Closed

Priority: Normal

Category:

Customer: BOSCH Product Issue https://www.cip.audi.de/jira/browse/ACO

Numbers: RE-11019

Department: Affected Products: ADTF 3.11.2

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: ADTF::CE

Resolution: Workaround Available FAQ Links: https://support.digitalwerk.net/projects/do
wnload-center/wiki/FAQ's#Q-Launch-wit
hin-QML-Filter-Editor-does-not-escape-q
utotation-marks-since-ADTF-311

Description

Supportanfrage

In ADTF 3.11 there seems to be a bug regarding escaping of quotation marks in the launch() method in QML scripts used for custom
filter editor context
menu entries.

It's not possible to escape quotation marks inside the command line arguments anymore. In the previously tested version ADTF 3.8,
it was possible to escape a quotation mark with a backslash, e.g. \"

We have these quotation marks, as we transport the filter configuration as JSON formatted string to our application. For example:
launch('myprogram.exe' -params "{\"filename\":\"myfile.adtfdat\"}"");

But in ADTF 3.11 the command line arguments reach myprogram.exe as

-params

and

{Milename\:\myfile.adtfdat\}

that is the escaped quotation marks in the second argument are completely lost leaving only backslashes. Thus JSON parsing fails in
our application. We want to avoid that a have to change the way how we transport the data via the command line.

Since the escaping was working previously, is this a bug that can be fixed?
Is there another way to escape quotation marks for the "launch()" method?
Lésung
We opened a bug issue within the product:

e [ACORE-11019] - Launch within QML Filter Editor does not escape anymore
This will be fixed in upcoming version (3.12.1 or 3.13.0)
For a workaround, you can use

modelmanager.Launch (QString strQPath, QOString strQArguments, QString strQWorkspace, bool bModal =
tTrue)

In short, you only need the prefix "modelmanager.".
See also
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Launch-within-QML-Filter-Editor-does-not-escape-qutotation-
marks-since-ADTF-311

History

#1 - 2021-04-16 09:44 - hidden
- Status changed from New to In Progress

- Customer set to BOSCH

#2 - 2021-04-16 09:45 - hidden
- Topic set to ADTF::Scripting

#3 - 2021-04-16 09:46 - hidden
- Topic deleted (ADTF::Scripting)

#5 - 2021-04-21 12:17 - hidden

Hi!

any update here? This is a blocker now for us!
BR Bane

#6 - 2021-04-21 15:43 - hidden
- Support Level changed from 2nd Level to 3rd Level

Sebastian, please have a look on that tomorrow

#7 - 2021-04-22 20:08 - hidden

Hello Nicola,

sorry for the late answer and it seems you are right. There was a change in the "Launch" method, which prevents the use case of escaping. Until we
have fixed this bug | can give you an alternative method which is hidden in the ConfigurationEditor. This method is equal to the old version of Launch.
To use the function, just replace your call with:

modelmanager.Launch (QString strQPath, QString strQArguments, QString strQWorkspace, bool bModal = tTrue)

In short, you only need the prefix "modelmanager.”.

Can you give feedback if the workaround is sufficient for you,

Regards,
Sebastian

#8 - 2021-04-22 20:13 - hidden
- Product Issue Numbers set to ACORE-11019

#9 - 2021-04-26 07:10 - hidden

Hello Sebastian,
thanks, that works. Please let us know when the bug is fixed.

Best regards
Nicola

#10 - 2021-04-26 09:16 - hidden

- Project changed from 5 to Public Support

- Description updated

- Status changed from In Progress to To Be Closed
- Topic set to ADTF::CE

- Resolution set to Workaround Available

- Product Issue Numbers changed from ACORE-11019 to https://www.cip.audi.de/jira/browse/ACORE-11019
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Launch-within-QML-Filter-Editor-does-not-escape-qutotation-marks-since-ADTF-311
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Launch-within-QML-Filter-Editor-does-not-escape-qutotation-marks-since-ADTF-311

- FAQ Links set to
https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Launch-within-QML-Filter-Editor-does-not-escape-qutotation-marks-since-ADTF

-311

Hi Nicola,

this will be fixed in upcoming version (3.12.1 or 3.13.0), depends on other bug reports regarding a patch version.

#11 - 2021-04-26 09:16 - hidden
- Status changed from To Be Closed to Closed

2024-04-03 3/3


http://www.tcpdf.org

